Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.plugin.rendering
Class RenderingPluginParameterAdapter

    java.lang.Object
      com.ibm.workplace.wcm.api.plugin.rendering.RenderingPluginParameterAdapter

All Implemented Interfaces:
  Localized, RenderingPluginParameter

Direct Known Subclasses:
  RenderingPluginParameterImpl

    public abstract class RenderingPluginParameterAdapter

extends java.lang.Object
implements RenderingPluginParameter

Adapter implementation of `RenderingPluginParameter` to create an parameter that allows either any `String` value, or any of a list of `String`s as the value.

For many `RenderingPluginDefinition`s, this will be the easiest way to define the `RenderingPluginParameter`s

This class extends `Localized` which is documented in the WebSphere Portal documentation. The `RenderingPluginParameter.getTitle(Locale)` and `RenderingPluginParameter.getDescription(Locale)` methods should return a translated title and description for the plugin.

Since:
  8.0.0.1 CF9
Note:

  This interface is designed to be implemented by clients.

Nested Class Summary

Nested classes/interfaces inherited from interface com.ibm.workplace.wcm.api.plugin.rendering.RenderingPluginParameter
`RenderingPluginParameter.Required`

Constructor Summary
`RenderingPluginParameterAdapter(java.lang.String name)` Constructor

Method Summary
`RenderingPluginParameterAdapter` | `allowedValues(java.util.List<ValueOption> values)` Set the possible values of the parameter.
`RenderingPluginParameterAdapter` | `allowedValues(ValueOption... allowedValues)` Set the allowed values of the parameter.
`RenderingPluginParameterAdapter` | `defaultValue(java.lang.String defaultValue)` Set the default value of the parameter.
`java.lang.String` | `getName()` Returns the name for this rendering plugin parameter.
`RenderingPluginParameter.Required` | `getRequired()` Get the required setting for the parameter.
`RenderingPluginParameterType` | `getType()` Get the 'type' of this `RenderingPluginParameter`.
`RenderingPluginParameterAdapter` | `required(RenderingPluginParameter.Required required)` Set whether the parameter is required.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ibm.workplace.wcm.api.plugin.rendering.RenderingPluginParameter
`getDescription, getTitle`

Methods inherited from interface com.ibm.portal.Localized
`getLocales`

Constructor Detail

### RenderingPluginParameterAdapter

    public RenderingPluginParameterAdapter(java.lang.String name)

  Constructor

  Parameters:
    `name` - the name for this rendering plugin parameter

Method Detail

### allowedValues

    public RenderingPluginParameterAdapter allowedValues(ValueOption... allowedValues)

  Set the allowed values of the parameter.

  Parameters:
    `allowedValues` - the allowed values of the parameter
  Returns:
    the RenderingPluginParameter, returned to allow method chaining

### allowedValues

    public RenderingPluginParameterAdapter allowedValues(java.util.List<ValueOption> values)

  Set the possible values of the parameter.

  Parameters:
    `values` - the possible values of the parameter
  Returns:
    the RenderingPluginParameter, returned to allow method chaining

### defaultValue

    public RenderingPluginParameterAdapter defaultValue(java.lang.String defaultValue)

  Set the default value of the parameter.

  Parameters:
    `defaultValue` - the default value of the parameter
  Returns:
    the RenderingPluginParameter, returned to allow method chaining

### required

    public RenderingPluginParameterAdapter required(RenderingPluginParameter.Required required)

  Set whether the parameter is required. The default is Default to Required.REQUIRED if this is not set.

  Parameters:
    `required` - required setting for the parameter
  Returns:
    the `RenderingPluginParameter`, returned to allow method chaining

### getName

    public java.lang.String getName()

  Description copied from interface: `RenderingPluginParameter`
  Returns the name for this rendering plugin parameter. This is the name which will be used to invoke the parameter, using [Plugin:RenderingPluginName parameterName="parameterValue"]. Therefore, this should be a short `String` containing only alphanumeric characters. It must not contains spaces or special characters. Names must be unique, or else the plugin will not function correctly. Note: The parameter name must not be 'name' or 'id', because these attributes have special meaning in the plugin implementation.

  Note: If the name is changed, this will break the tags where the previous name of the rendering plugin parameter is used.

  Specified by:
    `getName` in interface `RenderingPluginParameter`
  Returns:
    Name of the rendering plugin parameter

### getType

    public RenderingPluginParameterType getType()

  Description copied from interface: `RenderingPluginParameter`
  Get the 'type' of this `RenderingPluginParameter`. `RenderingPluginParameter`s are be dealt with different, depending on their type.

  Specified by:
    `getType` in interface `RenderingPluginParameter`
  Returns:
    the type, or null

### getRequired

    public RenderingPluginParameter.Required getRequired()

  Description copied from interface: `RenderingPluginParameter`
  Get the required setting for the parameter.

  Specified by:
    `getRequired` in interface `RenderingPluginParameter`
  Returns:
    the required setting for the parameter

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD